/*
 * Created on 12.07.2005
 *
 */
package isac.gui.browser.minibrowser;

import java.io.IOException;

import isac.gui.browser.minibrowser.MiniBrowser;

import javax.swing.event.HyperlinkEvent;
import javax.swing.event.HyperlinkListener;

/**
 * @author JL
 *
 * A mock class to test the MiniBrowser.
 * Catches a HyperlinkEvent and sets a internal variable to true. 
 * 
 */
public class ProxyMock implements HyperlinkListener {

	public boolean hyperlink_event_fired_ = false;
	
	/**
	 * Sets hyperlink_event_fired to true if a hyperlinkEvent is fired
	 * and updates the page in the MiniBrowser
	 * 
	 * @param hyperlink_event
	 * @throws IOException
	 */
	public void hyperlinkUpdate(HyperlinkEvent hyperlink_event){
		hyperlink_event_fired_ = true;
		MiniBrowser mini_browser =  (MiniBrowser) hyperlink_event.getSource();
		try {
			mini_browser.setPage(hyperlink_event.getURL());
		} catch (IOException e) {
			mini_browser.setText("ERROR FILE NOT FOUND: " +
					mini_browser.getPage().getFile());
		}
	}

}
