/**
 * @author Andreas Griesmayer
 * Created on Oct 6, 2003
 */
package isac.session;

import isac.browserdialog.BDialog;
import isac.wsdialog.IWorksheetDialog;

import java.rmi.Remote;
import java.rmi.RemoteException;

/**
 * @author Andreas Griesmayer
 * @deprecated because Dinopolis did not become available
 */
public interface IObjectManager extends Remote {

    /**
     * fetch the SessionManager of the system - multiple calls to this method
     * result in one and the same SessionManager.
     */
    public abstract ISessionManager getSessionDialog() throws RemoteException;

    /**
     * fetch the BrowserDialog identified by <code>bdialog_id</code>
     */
    public abstract BDialog getBrowserDialog(String id) throws RemoteException;

    /**
     * fetch the WorksheetDialog identified by <code>wdialog_id</code>
     */
    public abstract IWorksheetDialog getWorksheetDialog(String id) throws RemoteException;
}