<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                version="1.0">

<xsl:template match="/">
<html>

<head>
<title>Method</title>
</head>

<body>

<xsl:for-each select="NODECONTENT/STRINGLIST/STRING">
-> <xsl:value-of select="."/>
</xsl:for-each>

<br></br>
<hr></hr>

<xsl:for-each select="NODECONTENT/SCRIPT/MATHML/ISA">
<xsl:value-of select="."/>
<br></br>
</xsl:for-each>

<hr></hr>

Explanations

<hr></hr>

<h5>Simplifiers: </h5>

<ul>
<xsl:for-each select="NODECONTENT/EVALPRECOND">
for evaluating the preconditions: 
<b><xsl:value-of select="."/></b>
<br></br>
</xsl:for-each>

<xsl:for-each select="NODECONTENT/EVALCOND">
<br></br>
for evaluating the conditions in rewrite rules: 
<b><xsl:value-of select="."/></b>
<br></br>
</xsl:for-each>

<xsl:for-each select="NODECONTENT/EVALLISTEXPR">
<br></br>
for evaluating the list expressions: 
<b><xsl:value-of select="."/></b>
<br></br>
</xsl:for-each>

<xsl:for-each select="NODECONTENT/CHECKELEMENTWISE">
<br></br>
for evaluating 'check_elementwise: 
<b><xsl:value-of select="."/></b>
<br></br>
</xsl:for-each>

<xsl:for-each select="NODECONTENT/NORMALFORM">
<br></br>
for formulae: 
<b><xsl:value-of select="."/></b>
<br></br>
</xsl:for-each>

<xsl:for-each select="NODECONTENT/REWORDER">
<br></br>
<b>Rewriteorder for rules in intermediate steps: </b>
<xsl:value-of select="."/>
<br></br>
</xsl:for-each>
</ul>

<hr></hr>

<h5>Given: </h5>
<ul>
<xsl:for-each select="NODECONTENT/GIVEN/MATHML/ISA">
<li>
<b><xsl:value-of select="."/></b>
</li>
</xsl:for-each>
</ul>

<h5>Where: </h5>
<ul>
<xsl:for-each select="NODECONTENT/WHERE/MATHML/ISA">
<xsl:value-of select="."/>
</xsl:for-each>
</ul>

<h5>Find: </h5>
<ul>
<xsl:for-each select="NODECONTENT/FIND/MATHML/ISA">
<li>
<xsl:value-of select="."/>
</li>
</xsl:for-each>
</ul>

<h5>Relate: </h5>
<ul>
<xsl:for-each select="NODECONTENT/RELATE">
<xsl:value-of select="."/>
</xsl:for-each>
</ul>

<hr>
</hr>

Informations about the Authors coming soon...

<hr></hr>

<xsl:value-of select="NODECONTENT/COPYRIGHT"/>

</body>

</html>

</xsl:template>

</xsl:stylesheet>
