/*
 * @author Walther Neuper, member of the ISAC-team, 
 * Copyright (c) 2005 by Walther Neuper
 * created Jul 11, 2005 3:09:22 PM
 * Institute for Softwaretechnology, Graz University of Technology, Austria.
 * 
 * Use is subject to PGPL license terms.
 */
package isac.gui;

import isac.useractions.IUIAction;

/**
 * @author Alois Krichsteiger
 *
 * interface for the worksheet to communicate with the windowApplication
 * (eg. set buttons, find a window under focus etc.)
 * TODO should be implemented from the WindowApplication
 */
public interface IToWorksheetUser {

    public void addToMenuBar(IUIAction action);
    //returns true if successful
    public boolean removeFromMenuBar(IUIAction action);
}
