/*
 * Created on Dec 12, 2003
 */
package isac.useractions;

import java.io.Serializable;


/**
 * Interface common to notifications about user interaction
 * 
 * @see IUIAction for reverse direction (Dialog --> GUI)
 * 
 * @author Alan Krempler
 */
public interface IUserAction extends IUIElement, Serializable {
	
	/**
	 * @return An integer value describing the action the user requested on the GUI
	 */
	int getActionID();
		
}
