/*
 * Created on Dec 12, 2003
 */
package isac.useractions;


/**
 * Notification about the user clicking a GUI element.
 * 
 * @author Alan Krempler
 */
public class UserAction implements IUserAction {

    /**
     * the identifier for a UserAction ...
     * @see isac.useractions.IUIElement
     */
    private int id_;

    /**
     * @param id
     *            An integer value describing the action the user requested on
     *            the GUI
     */
    public UserAction(int id) {
        id_ = id;
    }

    public int getActionID() {
        return id_;
    }
}